Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] Sprint LG G2 LS980ZVA root and cm 11 help?

OP vajaejae

8th March 2014, 08:14 PM   |  #1  
OP Junior Member
Thanks Meter: 0
 
5 posts
Join Date:Joined: Mar 2014
I'm currently running stock 4.2.2 with the recent ZVA radio update and was wondering if it would be possible to root and flash cm11 with the new ZVA radio update. This is my first project. Thanks for the help 😀.
8th March 2014, 08:38 PM   |  #2  
XxZombiePikachu's Avatar
Recognized Contributor
Flag Florida
Thanks Meter: 1,495
 
2,538 posts
Join Date:Joined: Jul 2013
More
Quote:
Originally Posted by vajaejae

I'm currently running stock 4.2.2 with the recent ZVA radio update and was wondering if it would be possible to root and flash cm11 with the new ZVA radio update. This is my first project. Thanks for the help 😀.

I looked around and found this(http://forum.xda-developers.com/show...php?p=49844276) read through and you will be enlightened
8th March 2014, 08:57 PM   |  #3  
OP Junior Member
Thanks Meter: 0
 
5 posts
Join Date:Joined: Mar 2014
Quote:
Originally Posted by XxZombiePikachu

I looked around and found this(http://forum.xda-developers.com/show...php?p=49844276) read through and you will be enlightened

A bit confused but does this mean I can root then use FreeGee to downgrade and then flash ZV8 roms, such as cm11? Thanks for the help btw .
8th March 2014, 09:14 PM   |  #4  
XxZombiePikachu's Avatar
Recognized Contributor
Flag Florida
Thanks Meter: 1,495
 
2,538 posts
Join Date:Joined: Jul 2013
More
Quote:
Originally Posted by vajaejae

A bit confused but does this mean I can root then use FreeGee to downgrade and then flash ZV8 roms, such as cm11? Thanks for the help btw .

After you have downgraded your aboot, you will need a custom recovery. Download Flashify off the Google Play market (or use FreeGee to make the process faster) and place this file on your sdcard. twrp_2.6.3.3_loki-ls980.img
Open flashify, select recovery image, and find that .img, I have already loki'd this image, so you don't need to worry about it not working. Just be sure that you have downgraded your aboot first!

At the moment, the ZVA radio that came with your ota has completely broken compatability with all other non-ZVA ROMs, so if you want to install CM/PA/AOKP/DerpG2/OptimusDE, you will need to downgrade your radio to non-Spark ZV8/7, just flash this file in your newly installed recovery.

Now you're safe to flash any ROM!

so according to that you should be able to flash cm and others but then there is this note If you want to try the new radio (Spark), there's some things you need to be aware of, (when available) flashing youdug's stock ZVA ROM will NOT give you spark out of the box. You will need the new ZVA radio for this. You can find that here

You can only use twrp to install this radio. And it will ONLY work on ZVA ROMS. Do NOT install this radio over CM/PA, you will brick.
and so I think you can't flash cm with zva

---------- Post added at 04:14 PM ---------- Previous post was at 04:11 PM ----------

ok did a little bit more reading the file you flash after installing twrp in that guide downgrades your radio to zv8 which means you can flash cm at that point as long as you don't update to the zva radio
8th March 2014, 09:56 PM   |  #5  
OP Junior Member
Thanks Meter: 0
 
5 posts
Join Date:Joined: Mar 2014
Quote:
Originally Posted by XxZombiePikachu

After you have downgraded your aboot, you will need a custom recovery. Download Flashify off the Google Play market (or use FreeGee to make the process faster) and place this file on your sdcard. twrp_2.6.3.3_loki-ls980.img
Open flashify, select recovery image, and find that .img, I have already loki'd this image, so you don't need to worry about it not working. Just be sure that you have downgraded your aboot first!

At the moment, the ZVA radio that came with your ota has completely broken compatability with all other non-ZVA ROMs, so if you want to install CM/PA/AOKP/DerpG2/OptimusDE, you will need to downgrade your radio to non-Spark ZV8/7, just flash this file in your newly installed recovery.

Now you're safe to flash any ROM!

so according to that you should be able to flash cm and others but then there is this note If you want to try the new radio (Spark), there's some things you need to be aware of, (when available) flashing youdug's stock ZVA ROM will NOT give you spark out of the box. You will need the new ZVA radio for this. You can find that here

You can only use twrp to install this radio. And it will ONLY work on ZVA ROMS. Do NOT install this radio over CM/PA, you will brick.
and so I think you can't flash cm with zva

---------- Post added at 04:14 PM ---------- Previous post was at 04:11 PM ----------

ok did a little bit more reading the file you flash after installing twrp in that guide downgrades your radio to zv8 which means you can flash cm at that point as long as you don't update to the zva radio

Ok I seem to get it now thanks for the help; however, the ioroot21 link is broken. Anywhere you know where I can find a working link? Thanks a ton man.

Edit: Just rooted with ioroot23 and about to downgrade aboot and flash cm11
thanks a ton man!
Last edited by vajaejae; 8th March 2014 at 10:18 PM.
8th March 2014, 10:52 PM   |  #6  
OP Junior Member
Thanks Meter: 0
 
5 posts
Join Date:Joined: Mar 2014
Quote:
Originally Posted by vajaejae

Ok I seem to get it now thanks for the help; however, the ioroot21 link is broken. Anywhere you know where I can find a working link? Thanks a ton man.

Edit: Just rooted with ioroot23 and about to downgrade aboot and flash cm11
thanks a ton man!

I've actually not been able to flash my zv7-aboot.img using terminal emulator. I keep getting an error that says cannot open for read: No such file or directory. Will FreeGee automatically downgrade my aboot when I use it to install twrp_2.6.3.3?
22nd March 2014, 12:39 AM   |  #7  
Junior Member
Thanks Meter: 0
 
28 posts
Join Date:Joined: Mar 2014
"You DO NOT have to downgrade to the ZV8 radio now to run AOSP based ROMs. To run an AOSP based ROM with the ZVA radio you MUST flash Savoca's or dr87's kernel immediately after you flash the AOSP ROM."


So basically can we install cyanogenmod on a ZVA phone without downgrading ? Sorry If my question is stupid :/

Thanks for your help
Last edited by keepah; 23rd March 2014 at 04:44 AM.
24th March 2014, 05:16 PM   |  #8  
Junior Member
Thanks Meter: 1
 
4 posts
Join Date:Joined: Feb 2013
More
Quote:
Originally Posted by keepah

"You DO NOT have to downgrade to the ZV8 radio now to run AOSP based ROMs. To run an AOSP based ROM with the ZVA radio you MUST flash Savoca's or dr87's kernel immediately after you flash the AOSP ROM."


So basically can we install cyanogenmod on a ZVA phone without downgrading ? Sorry If my question is stupid :/

Thanks for your help

The easiest way is to download freegee from the app store, install a custom recovery. Be sure to download the zv8 radio. Go to recovery and flash CM then the ZV8 radio. You can use the ZVA radio but if you dont have spark in your area this is easiest

The Following User Says Thank You to zachmille96 For This Useful Post: [ View ]
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes